import { Emoji } from "../structures/Emoji";
export interface EmojiCountResult {
    custom: number;
    animated: number;
    unicode: number;
    total: number;
}
export interface EmojiParseResult {
    custom: Emoji[];
    customAnimated: Emoji[];
    customEmojis: Emoji[];
    unicode: Emoji[];
    allEmojis: Emoji[];
}
export declare class EmojiParser {
    static _parseCustomEmojis(str: string): Emoji[];
    static _parseAnimatedCustomEmojis(str: string): Emoji[];
    static _parseUnicodeEmojis(str: string): Emoji[];
    static countEmojis(str: string): EmojiCountResult;
    static _parseEmoji(str: string): string[];
    static parseEmojis(str: string): EmojiParseResult;
}
